# DataFrame

`NodeOutputDataFrame` provides utility methods for interacting with a dataframe of a previous node.

### Methods

#### `row(index: Integer)`&#x20;

**Description:** Read the row at the given index from the node's dataframe output. **Example: row(1) or row(10)**.

**Parameters:**

* `index` (type: Integer): The row number (starting for 0).

**Example:** Search for columns in the row with the help of the autocomplete.

```javascript
VisualQuery_1.row(3).name
```

***

#### `totalRows(): Integer`

**Description:** Get the total number of rows in the dataframe.

**Returns:** An Integer representing the number of rows

```javascript
VisualQuery_1.totalRows()
```

***

#### `asJson(page: Integer, limit: Integer): JsonNode`

**Description:** Get the data of the table as a json rows.

**Parameters:**

* `page` (type: Integer): The page number (starting for 1).
* `limit` (type: Integer): The maximum number of rows.

**Returns:** A JSON of the selected part in the dataframe

```javascript
VisualQuery_1.asJson(1, 10);
```

***

#### `asText(page: Integer, limit: Integer): String`

**Description:** Get the data of the table as a textrows.

**Parameters:**

* `page` (type: Integer): The page number (starting for 1).
* `limit` (type: Integer): The maximum number of rows.

**Returns:** A String of the selected part in the dataframe

```javascript
VisualQuery_1.asText(1, 10);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2winsuite.com/6.1/scripting/contexts/node-input/dataframe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
